#include "flugkurve01.h"
#include <iostream>
using namespace std;

Vektor mulVektor(Vektor vec, float num) {
  Vektor ergebnis = {vec.x * num, vec.y * num};
  return ergebnis;
}

Vektor addVektor(Vektor vec1, Vektor vec2) {
  Vektor erg = {vec1.x + vec2.x, vec1.y + vec2.y};
  return erg;
}

Koerper bewegeKoerper(Koerper korp, Vektor gesamtkraft, float dt) {

    // Berechnung der Beschleunigung aus der Kraft
    float xBeschleunigung = gesamtkraft.x  / korp.masse;
    float yBeschleunigung = gesamtkraft.y  / korp.masse;

    // Ermittlung der neuen Geschwindigkeit
    korp.geschwindigkeit.x += dt * xBeschleunigung;
    korp.geschwindigkeit.y += dt * yBeschleunigung;

    // Ermittlung der neuen Position
    korp.position.x += dt * korp.geschwindigkeit.x;
    korp.position.y += dt * korp.geschwindigkeit.y;
    return korp;
}

void ausgabeKoerper(Koerper korp){
    cout << "x = " << korp.position.x << "y = " << korp.position.y;
}

void ausgabeVektor(Vektor vec){
    cout << "x = " << vec.x << endl;
    cout << "y = " << vec.y << endl;
}
